# ValidationEventHandler

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents the method that will handle the [Validating](/api/wisej.web/extenders/validation.md#validating) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void ValidationEventHandler(Object sender, ValidationEventArgs e)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub ValidationEventHandler(ByVal sender As [Object], ByVal e As ValidationEventArgs)
```

{% endtab %}
{% endtabs %}

## Parameters

| Name       | Type                                                                                        | Description                                                                                                                 |
| ---------- | ------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| **sender** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                               | The source of the event.                                                                                                    |
| **e**      | [ValidationEventArgs](/api/wisej.web/extenders/validation/wisej.web.validationeventargs.md) | A [ValidationEventArgs](/api/wisej.web/extenders/validation/wisej.web.validationeventargs.md) that contains the event data. |

## Fired By

| Name                                                                       | Description                                                                                                                              |
| -------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| [Validation.Validating](/api/wisej.web/extenders/validation.md#validating) | Fired when the any control associated to the [Validation](/api/wisej.web/extenders/validation.md) extender is being validated.           |
| [Validation.Validated](/api/wisej.web/extenders/validation.md#validated)   | Fired after any control associated to the [Validation](/api/wisej.web/extenders/validation.md) extender has been successfully validated. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/extenders/validation/wisej.web.validationeventhandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
